Audit Channels

put

Update audit channel

Path parameters
idstring · uuidRequired

The channel id

Example: 2c1fc20d-59b4-4f67-8982-6e0377e8fdbd
Body
namestringRequired
connectionNamestringRequired
enabledbooleanOptional
propertiesObjectobjectOptional

JSON Schema representation of the configuration properties

Responses
chevron-right
200Success

No content

put
/api/v1/environments/{name}/proxy/api/v1/audit/channels/{id}

No content

get

List channel templates and their applicable connections

Responses
chevron-right
200Success
application/json
idintegerRequired
namestringRequired
templateVersionintegerRequired
versionstringRequired
enabledbooleanRequired
builtInbooleanRequired
jsonSchemaobjectRequired

JSON Schema representation of the configuration properties

get
/api/v1/environments/{name}/proxy/api/v1/audit/channel-templates
patch

Patch an audit channel

Path parameters
idstring · uuidRequired

The channel id

Example: 2c1fc20d-59b4-4f67-8982-6e0377e8fdbd
Body
namestringOptional
connectionNamestringOptional
enabledbooleanOptional
propertiesObjectobjectOptional

JSON Schema representation of the configuration properties

Responses
chevron-right
200Success

No content

patch
/api/v1/environments/{name}/proxy/api/v1/audit/channels/{id}

No content

get

Get the audit channel details

Path parameters
idstring · uuidRequired

The channel id

Example: 2c1fc20d-59b4-4f67-8982-6e0377e8fdbd
Responses
chevron-right
200Success
application/json
idstringRequired
namestringRequired
templateNamestringRequired
templateVersionintegerRequired
connectionNamestringRequired
createdAtstring · date-timeRequired
createdBystringRequired
updatedAtstring · date-timeRequired
updatedBystringRequired
enabledbooleanRequired
get
/api/v1/environments/{name}/proxy/api/v1/audit/channels/{id}
get

Returns the audits metadata information

Responses
chevron-right
200Success
application/json
usersstring[]Optional
get
/api/v1/environments/{name}/proxy/api/audit/values
get

Lists audit channels ordered by their creation time (most recent first)

Query parameters
pageintegerOptional

The page number to be returned, must be greater than zero. Defaults to 1.

Example: 1
pageSizeintegerRequired

The elements amount on a single page, must be greater than zero.

Example: 25
templateNamestringOptional

Filter by channel template name

channelNamestringOptional

Matches channels by name

sortFieldstring · enumOptional

The field to sort results by

Possible values:
sortOrderstring · enumOptional

Sorting order. Defaults to ascending

Possible values:
Responses
chevron-right
200Success
application/json
pagesAmountinteger · int64Required
totalCountinteger · int64Required
get
/api/v1/environments/{name}/proxy/api/v1/audit/channels
delete

Deletes the audit entries up to the timestamp

Query parameters
timestampinteger · int64Required
Responses
chevron-right
200Success

No content

delete
/api/v1/environments/{name}/proxy/api/audit

No content

get

Returns a list of audit entries

Query parameters
pageintegerOptional
pageSizeintegerOptional
userstringOptional
actionstring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
filterstringOptional
Responses
chevron-right
200Success
application/json
pagesAmountinteger · int64Required
totalCountinteger · int64Required
get
/api/v1/environments/{name}/proxy/api/audit

Last updated

Was this helpful?